/********************************** (C) COPYRIGHT *******************************
 * File Name          : ch9431_example.h
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2023/10/10
 * Description        : This file contains ch9431 command example.
*********************************************************************************
* Copyright (c) 2023 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/
#ifndef _CH9431_EXAMPLE_H_
#define _CH9431_EXAMPLE_H_

#include "ch9431_cmd.h"

extern void CH9431_Init(void);

extern uint8_t CH9431_Receive_Buffer0(uint8_t *CAN_RX_Buf, rxbndlc_t *rxbndlc);

extern uint8_t CH9431_Receive_Buffer1(uint8_t *CAN_RX_Buf, rxbndlc_t *rxbndlc);

extern uint8_t CH9431_Send_Buffer0(uint8_t *CAN_TX_Buf, uint8_t len, uint8_t rtr);

extern uint8_t CH9431_Send_Buffer1(uint8_t *CAN_TX_Buf, uint8_t len, uint8_t rtr);

extern uint8_t CH9431_Send_Buffer2(uint8_t *CAN_TX_Buf, uint8_t len, uint8_t rtr);

#endif /* _CH9431_EXAMPLE_H_ */


