/********************************** (C) COPYRIGHT *******************************
 * File Name          : ch9431_port.h
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2023/06/30
 * Description        : This file contains ch9431 port to ch32v20x.
*********************************************************************************
* Copyright (c) 2023 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/
#ifndef _CH9431_PORT_H_
#define _CH9431_PORT_H_

#include "debug.h"

#include "ch9431_inc.h"

/*
 * nsӳٸϵͳƵأ96MhzϵͳƵһ__NOP()ռ10nsңϵͳƵı䣬ҲҪı__NOP();
 */
#define _port_ch9431_delay_150ns()          do{__NOP();__NOP();__NOP();__NOP();__NOP(); \
                                            __NOP();__NOP();__NOP();__NOP();__NOP();    \
                                            __NOP();__NOP();__NOP();__NOP();__NOP();}while(0)

#define _port_ch9431_delay_300ns()          do{_port_ch9431_delay_150ns();  \
                                            _port_ch9431_delay_150ns();}while(0)

#define _port_ch9431_delay_500ns()          do{_port_ch9431_delay_150ns();  \
                                            _port_ch9431_delay_150ns();     \
                                            _port_ch9431_delay_150ns();     \
                                            __NOP();__NOP();__NOP();__NOP();__NOP();}while(0)

void _port_ch9431_delay_us(uint32_t t);
void _port_ch9431_delay_ms(uint32_t t);
void _port_ch9431_rst_high(void);
void _port_ch9431_rst_low(void);
void _port_ch9431_spi_nss_high(void);
void _port_ch9431_spi_nss_low(void);
void _port_ch9431_tx0rts_low(void);
void _port_ch9431_tx0rts_high(void);
void _port_ch9431_tx1rts_low(void);
void _port_ch9431_tx1rts_high(void);
void _port_ch9431_tx2rts_low(void);
void _port_ch9431_tx2rts_high(void);
uint16_t _port_ch9431_spi_rw_data(uint16_t data);

#endif /* _CH9431_PORT_H_ */


